@ECHO OFF
REM ****************************************************************/
REM                                                                */
REM  Licensed Materials - Property of IBM                          */
REM  5639-A83, 5639-A24 (C) Copyright IBM Corp. 1992,1996.         */
REM  All Rights Reserved.                                          */
REM  US Government Users Restricted Rights-- Use, duplication or   */
REM  disclosure restricted by GSA ADP Schedule Contract with       */
REM  IBM Corp.                                                     */
REM                                                                */
REM DISCLAIMER OF WARRANTIES                                       */
REM  The following enclosed code is sample code created by IBM   */
REM  Corporation. This sample code is not part of any standard     */
REM  IBM product and is provided to you solely for the purpose of  */
REM  assisting you in the development of your applications.  The   */
REM  code is provided "AS IS", without warranty of any kind.       */
REM  IBM shall not be liable for any damages arising out of your   */
REM  use of the sample code, even if IBM has been advised of the   */
REM  possibility of such damages.                                  */
REM                                                                */
REM                                                                */
REM  Build ILC test of Common Data Types between PL/I and C.       */
REM  The PL/I function PLICS2 dynamically loads and calls VisualAge*/
REM  C++ procedure PLICS2D.C to verify structure data argument     */
REM  passing.                                                      */
REM                                                                */
REM  PLICS2.PLI is compiled and linked as an EXE.                  */
REM  PLICS2D.C is compiled and linked as a DLL by the same name.   */
REM                                                                */
REM                                                                */
REM ****************************************************************/


  REM Compile and Go for CS2PLI
  REM - - - - - - - - - - - - -

  REM -- Build the sample
  NMAKE /f bldplics.mak all

  REM -- Run the sample
  SET dd:sysprint=1:
  plics2

  REM -- Clean up
  SET dd.sysprint=

  REM - - - - - - - - - - - - -
  REM To remove the compiled object and executables
  REM issue "NMAKE /f bldplics.mak clean"
  REM - - - - - - - - - - - - -

