 /*++                                                                 */
 /*                                                                   */
 /* Copyright (c) 1990-1997,  Microsoft Corporation                   */
 /*                           All rights reserved.                    */
 /*                                                                   */
 /* Module Name:                                                      */
 /*                                                                   */
 /*     colordlg.cpy                                                  */
 /*                                                                   */
 /* Abstract:                                                         */
 /*                                                                   */
 /*     This module contains the header information for the Win32     */
 /*     color dialog (or colour dialogue if you prefer).              */
 /*                                                                   */
 /* Revision History:                                                 */
 /*                                                                   */
 /*--                                                                 */


 /* Constant Declarations. */

 dcl DLG_COLOR         fixed bin(31) value(10);

 dcl COLOR_HUESCROLL   fixed bin(31) value(700); /* color dialog */
 dcl COLOR_SATSCROLL   fixed bin(31) value(701);
 dcl COLOR_LUMSCROLL   fixed bin(31) value(702);
 dcl COLOR_HUE         fixed bin(31) value(703);
 dcl COLOR_SAT         fixed bin(31) value(704);
 dcl COLOR_LUM         fixed bin(31) value(705);
 dcl COLOR_RED         fixed bin(31) value(706);
 dcl COLOR_GREEN       fixed bin(31) value(707);
 dcl COLOR_BLUE        fixed bin(31) value(708);
 dcl COLOR_CURRENT     fixed bin(31) value(709);
 dcl COLOR_RAINBOW     fixed bin(31) value(710);
 dcl COLOR_SAVE        fixed bin(31) value(711);
 dcl COLOR_ADD         fixed bin(31) value(712);
 dcl COLOR_SOLID       fixed bin(31) value(713);
 dcl COLOR_TUNE        fixed bin(31) value(714);
 dcl COLOR_SCHEMES     fixed bin(31) value(715);
 dcl COLOR_ELEMENT     fixed bin(31) value(716);
 dcl COLOR_SAMPLES     fixed bin(31) value(717);
 dcl COLOR_PALETTE     fixed bin(31) value(718);
 dcl COLOR_MIX         fixed bin(31) value(719);
 dcl COLOR_BOX1        fixed bin(31) value(720);
 dcl COLOR_CUSTOM1     fixed bin(31) value(721);

 dcl COLOR_HUEACCEL    fixed bin(31) value(723);
 dcl COLOR_SATACCEL    fixed bin(31) value(724);
 dcl COLOR_LUMACCEL    fixed bin(31) value(725);
 dcl COLOR_REDACCEL    fixed bin(31) value(726);
 dcl COLOR_GREENACCEL  fixed bin(31) value(727);
 dcl COLOR_BLUEACCEL   fixed bin(31) value(728);

 dcl COLOR_SOLID_LEFT  fixed bin(31) value(730);
 dcl COLOR_SOLID_RIGHT fixed bin(31) value(731);

 dcl NUM_BASIC_COLORS  fixed bin(31) value(48);
 dcl NUM_CUSTOM_COLORS fixed bin(31) value(16);

