#******************************************************************/
#                                                                 */
#   Licensed Materials - Property of IBM                          */
#   5639-A83, 5639-A24 (C) Copyright IBM Corp. 1992,1996.         */
#   All Rights Reserved.                                          */
#   US Government Users Restricted Rights-- Use, duplication or   */
#   disclosure restricted by GSA ADP Schedule Contract with       */
#   IBM Corp.                                                     */
#                                                                 */
#  DISCLAIMER OF WARRANTIES                                       */
#   The following enclosed code is sample code created by IBM   */
#   Corporation. This sample code is not part of any standard     */
#   IBM product and is provided to you solely for the purpose of  */
#   assisting you in the development of your applications.  The   */
#   code is provided "AS IS", without warranty of any kind.       */
#   IBM shall not be liable for any damages arising out of your   */
#   use of the sample code, even if IBM has been advised of the   */
#   possibility of such damages.                                  */
#                                                                 */
#                                                                 */
#   Build ILC test of Common Data Types between VisualAge C++ and */
#   PL/I. The C function CS2PLI dynamically loads and calls the   */
#   PL/I procedure CS2PLID.PLI to generate a zero divide condition*/
#                                                                 */
#   CS2PLI.C    is compiled and linked as an EXE.                 */
#   CS2PLID.PLI is compiled and linked as a DLL by the same name. */
#                                                                 */
#                                                                 */
#******************************************************************/
CCPARMS    = /C- /Sd /Ss /Sp1 /Ge+ /Gd+ /Gm+ /Ls /Fl
ILINKPARMS = /Noe /Debug /Stack:5000000
ERASE      = ERASE

.SUFFIXES:
.SUFFIXES: .pli .cpy .mac .inc .c .h

ALL: cs2pli.exe \
     cs2plid.dll

# Dependencies
#
cs2pli.exe : cs2pli.c
  ICC $(CCPARMS) cs2pli.c

cs2plid.dll : cs2plid.pli
  PLI  cs2plid.pli ( xinfo(def)
  ILIB /geni cs2plid.def
  ILINK cs2plid.obj $(ILINKPARMS) /dll cs2plid.exp

clean:
  $(ERASE) cs2plid.obj
  $(ERASE) cs2pli.obj
  $(ERASE) cs2plid.dll
  $(ERASE) cs2pli.exe
